package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:
 *
 * @author lgs
 * @date 2023/06/07
 */
@Data
public class SmryRecoveredInf {
    /**
     * 业务类型代码
     */
    @JSONField(name = "BUSITYPECODE")
    private String busTypeCode;

    /**
     * 业务类型描述
     */
    @JSONField(name = "BUSITYPEDESC")
    private String busTypeDesc;

    /**
     * 账户数
     */
    @JSONField(name = "ACCOUNTNUM")
    private Integer accNum;

    /**
     * 余额
     */
    @JSONField(name = "BALANCE")
    private BigDecimal balance;
}
