package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description:信贷交易信息提示
 *
 * @author lgs
 * @date 2023/06/02
 */
@Data
public class SmryTradeTipsInfo implements Serializable {

    /**
     * 业务类型代码
     */
    @JSONField(name = "BUSITYPECODE")
    private String busTypeCode;

    /**
     * 业务类型描述
     */
    @JSONField(name = "BUSITYPEDESC")
    private String busTypeDesc;

    /**
     *业务大类代码
     */
    @JSONField(name = "BUDLCODE")
    private String busBigCode;

    /**
     * 业务大类描述
     */
    @JSONField(name = "BUDLDESC")
    private String busBigType;

    /**
     * 账户数
     */
    @JSONField(name = "ACCOUNTNUM")
    private String accNum;

    /**
     * 首笔业务发放月份
     */
    @JSONField(name = "FIRSTBUSMONTH")
    private String firstBusMonth;
}
