package com.kexun.model.xml.pub;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.kexun.model.xml.IXmlBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:强制执行记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class PubEnforcemenInf {

    /**
     * 执行法院
     */
    @JSONField(name = "EXECOURT")
    private String exeCourt;

    /**
     * 执行案由
     */
    @JSONField(name = "EXECAUOFACTION")
    private String exeCause;

    /**
     * 立案日期
     */
    @JSONField(name = "FILINGDATE")
    private String filingDate;

    /**
     * 结案方式代码
     */
    @JSONField(name = "CLOSEMCODE")
    private String closeCode;

    /**
     * 结案方式描述
     */
    @JSONField(name = "CLOSEMDESC")
    private String closeDesc;

    /**
     * 案件状态
     */
    @JSONField(name = "CASESTATUS")
    private String caseStatus;

    /**
     * 结案日期
     */
    @JSONField(name = "CLOSINGDATE")
    private String closingDate;

    /**
     * 申请执行标的
     */
    @JSONField(name = "ASKEXESUB")
    private String askExeSub;

    /**
     * 申请执行标的金额
     */
    @JSONField(name = "ASKEXEMONEY")
    private BigDecimal askExeMoney;

    /**
     * 已执行标的
     */
    @JSONField(name = "EXEDOBJ")
    private String exedObj;

    /**
     * 已执行标的金额
     */
    @JSONField(name = "EXEDOBJMONEY")
    private BigDecimal exedObjAmt;
}
