package com.kexun.constant;

/**
 * Description:常用的常量
 *
 * @author lgs
 * @date 2023/06/05
 */
public class BaseConsts {


    /**
     * 报告时间
     */
    public final static String RPT_TIME = "rptTime";
    /**
     * 姓名
     */
    public final static String NAME = "NAME";

    /**
     * 姓名
     */
    public final static String NAME_ = "name";
    /**
     * 证件码类型
     */
    public final static String CRETYPECODE = "CRETYPECODE";

    /**
     * 证件码类型
     */
    public final static String ID_TYPE_CODE = "idTypeCode";
    /**
     * 证件码类型
     */
    public final static String ID_TYPE_DESC = "idTypeDesc";
    /**
     * 证件号码
     */
    public final static String ID_NUM = "idNum";
    /**
     * 证件码描述
     */
    public final static String CRETYPEDESC = "CRETYPEDESC";
    /**
     * 证件号码
     */
    public final static String CRENUMBER = "CRENUMBER";
    /**
     * 报告编号
     */
    public final static String RPTNO = "RPTNO";

    /**
     * 报告编号
     */
    public final static String RPT_NO = "rptNo";
    /**
     * 头文件ID
     */
    public final static String HEAD_INF_ID = "headInfId";
    /**
     * 是集合的节点名对应的key
     */
    public final static String NODE_LIST_NAME = "nodeListName";

    /**
     * node节点类型 -正常
     */
    public final static String NODE_TYPE_NORMAL = "normal";

    /**
     * node节点类型 -list
     */
    public final static String NODE_TYPE_LIST = "list";

    /**
     * node节点类型 -组合
     */
    public final static String NODE_TYPE_COMPOSE = "compose";

    /**
     * 账户类别 区分D1-非循环贷账户;R4-循环额度下分账户;R1-循环贷账户
     */
    public final static String ACC_TYPE_KEY = "acc_type";

    /**
     * 账户类别 区分D1-非循环贷账户
     */
    public final static String ACC_TYPE_D1 = "D1";

    /**
     * 账户类别 区分R1-循环贷账户
     */
    public final static String ACC_TYPE_R1 = "R1";

    /**
     * 账户类别 区分R4-循环额度下分账户
     */
    public final static String ACC_TYPE_R4 = "R4";

    /**
     * 账户类别 区分R2-贷记卡账户
     */
    public final static String ACC_TYPE_R2 = "R2";

    /**
     * 账户类别 区分R4-准贷记卡账户
     */
    public final static String ACC_TYPE_R3 = "R3";

    /**
     * 账户类别 区分C1-被追偿信息
     */
    public final static String ACC_TYPE_C1 = "C1";

    /**
     * 账户对应的属性
     */
    public final static String ACC_TYPE_ATTRIBUTE = "accTypeAttribute";

    /**
     * 前端访问路径URL
     */
    public final static String URL = "/admin/";

    /**
     * 字段模板关闭状态
     */
    public final static String STATUS_OFF = "1";

    /**
     * 字段模板开启
     */
    public final static String STATUS_ON = "0";

}
