package com.kexun.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.kexun.annotation.HisModifyLog;
import com.kexun.common.utils.Result;
import com.kexun.entity.BusInfoModifyHis;
import com.kexun.model.ro.BusInfoModifyHisRO;
import com.kexun.model.ro.ReportInfoRO;
import com.kexun.service.BusInfoModifyHisService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 业务信息变更历史 前端控制器
 * </p>
 *
 * @author lgs
 * @since 2023-05-17
 */
@RestController
@RequestMapping("/admin/his/")
public class BusInfoModifyHisController {


    @Autowired
    private BusInfoModifyHisService busInfoModifyHisService;

    @ApiOperation("变更历史记录查询")
    @PostMapping("list")
    public Result listHisInfo(@RequestBody BusInfoModifyHisRO busInfoModifyHisRo) {

        Result result = new Result();
        IPage<BusInfoModifyHis> busInfoModifyHisIPage = busInfoModifyHisService.listHisInfo(busInfoModifyHisRo);
        result.setData(busInfoModifyHisIPage);
        return result;

    }


}
