package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "report_info")
@Data
public class BusinessInfo implements Serializable {


    @TableId(value = "id")
    private Long id;

    @TableField(value = "business_num")
    private String businessNum;

    @TableField(value = "customer_name")
    private String customerName;

    @TableField(value = "coop_business_num")
    private String coopBusinessNum;
    private String cooperatorName;

    @TableField(value = "product_num")
    private String productNum;
    private String productName;

    @TableField(value = "status")
    private String status;

    @TableField(value = "certificate_num")
    private String certificateNum;

    @TableField(value = " create_time")
    private String createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
