package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "report_file")
@Data
public class ReportFile implements Serializable {


    @TableId(value = "id")
    private Long id;

    @TableField(value = "rpt_no")
    private String rptNo;

    @TableField(value = "file_name")
    private String fileName;

    @TableField(value = "file_name_xml")
    private String fileNameXml;

    @TableField(value = "file_name_txt")
    private String fileNameTxt;

    @TableField(value = "file_name_model")
    private String fileNameModel;

    @TableField(value = " create_time")
    private String createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
