package com.kexun.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.kexun.entity.*;
import com.kexun.mapper.BusinessMapper;
import com.kexun.mapper.CooperatorMapper;
import com.kexun.service.BusinessService;
import com.kexun.service.CooperatorService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 *
 */
@Service
public class BusinessServiceImpl extends ServiceImpl<BusinessMapper, BusinessInfo>
    implements BusinessService {

    @Resource
    BusinessMapper businessMapper;

    @Override
    public List<BusinessInfo> queryToDoList(){
//        System.out.println("aaa");
        List<BusinessInfo> l = businessMapper.QueryToDoList();
        return l;
    }

    @Override
    public List<BusinessInfo> queryAnalysisList(){
//        System.out.println("aaa");
        List<BusinessInfo> l = businessMapper.QueryAnalysisList();
        return l;
    }

    @Override
    public List<BusinessInfo> queryFailList(){
//        System.out.println("aaa");
        List<BusinessInfo> l = businessMapper.QueryFailList();
        return l;
    }

    @Override
    public BusinessInfo QueryBusinessInfoByNum(String businessNum){
//        System.out.println("aaa");
        BusinessInfo l = businessMapper.queryBusinessInfoByNum(businessNum);
        return l;
    }


}




